Subject: Re: [PATCH] ci: use actions/{upload,download}-artifact@v3

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Dec 2022 08:41:21 +0900

Johannes Schindelin <[email-masked]> writes:

>> @@ -210,7 +210,7 @@ jobs:
>>        run: ci/print-test-failures.sh
>>      - name: Upload failed tests' directories
>>        if: failure() && env.FAILED_TEST_ARTIFACTS != ''
>> -      uses: actions/upload-artifact@v2
>> +      uses: actions/upload-artifact@v3
>
> This is probably incorrect, but you wouldn't know until something failed
> in the `linux32` job.

Yeah, that was what I was afraid to see.

> I already have a correct fix in
> https://github.com/git-for-windows/git/pull/4112/commits/b59c1e33fa62029f8d5dca801a8afb480514140c
> and was only waiting for the patch at the root of this here mail thread to
> advance further so I could contribute that fix, along with other
> replacements for deprecated operations.

Wonderful.

> Maybe we can move these changes forward in a more orderly manner, with
> Oscar's patch advancing to `next` once it is done, and the other patches
> following after that?

That was what I was planning to do anyway.  Thanks.